CyberHosting

Installing CyberPanel with Python 3

edited January 11 in Updates
Hello


Note: Deprecated, main installation is now Python 3.

Testing on CyberPanel with Python 3 support is going on. Yon can install and test using following command


Update: It also support Centos 8 now, however Centos8 does not have official opendkim package so DKIM related features will not work.

Note: Don't use in production.
sh <(curl cyberpanel.sh || wget -O - cyberpanel.sh)  </pre>

During installation , it will pop to ask you if you want to try python3 branch.

type "confirm" to proceed to python 3 branch.

omit it or press enter key or type "n" will proceed as normal installation.

Report any bugs here.

Regards

Comments

  • Hello,

    can this be used with CentOS 8?

    Regards,
  • mgregors said:

    Hello,

    can this be used with CentOS 8?

    Regards,

    I don't think so , CentOS 8 support is still on to-do
  • Once basic testing on Centos 7.x is completed, we will move on to Centos 8 integration.
  • Can this be used in production in Ubuntu 18?
  • > @avhvr said:
    > Can this be used in production in Ubuntu 18?

    No, python 3 branch is only beta for now
  • Olá, ao subir o site para instalar, recebi o seguinte erro.:403
    Forbidden
    Access to this resource on the server is denied!

    Como concertar isso?
  • > @veicular said:
    > Olá, ao subir o site para instalar, recebi o seguinte erro.:403
    > Forbidden
    > Access to this resource on the server is denied!
    >
    > Como concertar isso?

    Could you please provide a screenshot? Where you got 403?
  • edited January 3
    Type your comment> @qtwrk said:
    > > @veicular said:
    > > Olá, ao subir o site para instalar, recebi o seguinte erro.:403
    > > Forbidden
    > > Access to this resource on the server is denied!
    > >
    > > Como concertar isso?
    >
    > Could you please provide a screenshot? Where you got 403?

    Thanks to your commit
    https://github.com/usmannasir/cyberpanel/commit/e8ecec711608082d65ad0c7fbc79a2282be1384e

    I've found that script on my ubuntu systems works using bash while failing on sh
    I think there might be more to this.
    using
    sh <(curl https://raw.githubusercontent.com/usmannasir/cyberpanel/stable/preUpgrade.sh)
    from looking at the upgrade process it's been failing to apply source command with error not found
    While
    bash <(curl https://raw.githubusercontent.com/usmannasir/cyberpanel/stable/preUpgrade.sh)
    Done it just right. All working perfectly.
    It might be just two of my custom environments but still, it does make sense.

    It would be much appreciated if you know (and want to share) what's (or possibly could) causing this.
    Is it .profile ~/.{.bashrc,.bash_profile} /etc/{bash.bashrc,profile} content as I think it is?
    @EDIT3 not relate to this thinking by the looks of thing
    Well technically I've not used full
    <(curl https://raw.githubusercontent.com/usmannasir/cyberpanel/stable/preUpgrade.sh || wget -O - https://raw.githubusercontent.com/usmannasir/cyberpanel/stable/preUpgrade.sh)
    during my test, there is also that
    EOF named not think about it ^_^
  • Type your comment> @netbos said:
    > Type your comment> @qtwrk said:
    > > > @veicular said:
    > > > Olá, ao subir o site para instalar, recebi o seguinte erro.:403
    > > > Forbidden
    > > > Access to this resource on the server is denied!
    > > >
    > > > Como concertar isso?
    > >
    > > Could you please provide a screenshot? Where you got 403?
    >
    > Thanks to your commit
    > https://github.com/usmannasir/cyberpanel/commit/e8ecec711608082d65ad0c7fbc79a2282be1384e
    >
    > I've found that script on my ubuntu systems works using bash while failing on sh
    > I think there might be more to this.
    > using
    > sh <(curl https://raw.githubusercontent.com/usmannasir/cyberpanel/stable/preUpgrade.sh)
    > from looking at the upgrade process it's been failing to apply source command with error not found
    > While
    > bash <(curl https://raw.githubusercontent.com/usmannasir/cyberpanel/stable/preUpgrade.sh)
    > Done it just right. All working perfectly.
    > It might be just two of my custom environments but still, it does make sense.
    >
    > It would be much appreciated if you know (and want to share) what's (or possibly could) causing this.
    > Is it .profile ~/.{.bashrc,.bash_profile} /etc/{bash.bashrc,profile} content as I think it is?

    yes, Usman used some bash programm , but I believe I have converted it to shell.
  • Type your comment> @qtwrk said:
    > Type your comment> @netbos said:
    > > Type your comment> @qtwrk said:
    > > > > @veicular said:
    > > > > Olá, ao subir o site para instalar, recebi o seguinte erro.:403
    > > > > Forbidden
    > > > > Access to this resource on the server is denied!
    > > > >
    > > > > Como concertar isso?
    > > >
    > > > Could you please provide a screenshot? Where you got 403?
    > >
    > > Thanks to your commit
    > > https://github.com/usmannasir/cyberpanel/commit/e8ecec711608082d65ad0c7fbc79a2282be1384e
    > >
    > > I've found that script on my ubuntu systems works using bash while failing on sh
    > > I think there might be more to this.
    > > using
    > > sh <(curl https://raw.githubusercontent.com/usmannasir/cyberpanel/stable/preUpgrade.sh)
    > > from looking at the upgrade process it's been failing to apply source command with error not found
    > > While
    > > bash <(curl https://raw.githubusercontent.com/usmannasir/cyberpanel/stable/preUpgrade.sh)
    > > Done it just right. All working perfectly.
    > > It might be just two of my custom environments but still, it does make sense.
    > >
    > > It would be much appreciated if you know (and want to share) what's (or possibly could) causing this.
    > > Is it .profile ~/.{.bashrc,.bash_profile} /etc/{bash.bashrc,profile} content as I think it is?
    >
    > yes, Usman used some bash programm , but I believe I have converted it to shell.

    That's quicker than i expected. Respect mate d{^_^}b
  • Not work Language after update v1.9.3
  • Type your comment> @thomassiskos said:
    > Not work Language after update v1.9.3

    what do you mean ?
  • You change your language and stay in english
  • ioncube PHP Extension

    Loaded plugins: fastestmirror
    Loading mirror speeds from cached hostfile
    * epel: mirror.nl.leaseweb.net
    No package lsphp74-ioncube available.
    PHP Extension Installed.
  • Rewrite Rules not work 1.9.3

    Could not connect to server. Please refresh this page.
  • Type your comment> @thomassiskos said:
    > Not work Language after update v1.9.3

    Fixed. Upgrade your installation.
  • Note: Deprecated, main installation is now Python 3.
  • Type your comment> @qtwrk said:
    > > @veicular said:
    > > Olá, ao subir o site para instalar, recebi o seguinte erro.:403
    > > Forbidden
    > > Access to this resource on the server is denied!
    > >
    > > Como concertar isso?
    >
    > Could you please provide a screenshot? Where you got 403?

    Olá, o erros 404, consertei: https://www.temqueve.com.br/erros-404-wordpress-openlitespeed/
  • Type your comment> @thomassiskos said:
    > ioncube PHP Extension
    >
    > Loaded plugins: fastestmirror
    > Loading mirror speeds from cached hostfile
    > * epel: mirror.nl.leaseweb.net
    > No package lsphp74-ioncube available.
    > PHP Extension Installed.

    Because Ioncube doesnt support php 7.4

    You will have to wait for Ioncube to support then wait for litespeed to verify.
    Cyberpanel Managed & Unmanaged Shared & VPS Hosting by Cyberpanel Experts.

    https://www.cyberhosting.org
  • Ubuntu Server 18.04.3 Clean install

    ERROR: Command errored out with exit status 1:
    command: /usr/local/CyberPanel/bin/python3 -c 'import sys, setuptools, tokenize; sys.argv[0] = '"'"'/tmp/pip-install-8h1w_io3/jsonpatch/setup.py'"'"'; __file__='"'"'/tmp/pip-install-8h1w_io3/jsonpatch/setup.py'"'"';f=getattr(tokenize, '"'"'open'"'"', open)(__file__);code=f.read().replace('"'"'\r\n'"'"', '"'"'\n'"'"');f.close();exec(compile(code, __file__, '"'"'exec'"'"'))' egg_info --egg-base /tmp/pip-install-8h1w_io3/jsonpatch/pip-egg-info
    cwd: /tmp/pip-install-8h1w_io3/jsonpatch/
    Complete output (7 lines):
    Traceback (most recent call last):
    File "<string>", line 1, in <module>
    File "/tmp/pip-install-8h1w_io3/jsonpatch/setup.py", line 13, in <module>
    src = open('jsonpatch.py').read()
    File "/usr/local/CyberPanel/lib/python3.6/encodings/ascii.py", line 26, in decode
    return codecs.ascii_decode(input, self.errors)[0]
    UnicodeDecodeError: 'ascii' codec can't decode byte 0xc3 in position 173: ordinal not in range(128)
    ----------------------------------------
    ERROR: Command errored out with exit status 1: python setup.py egg_info Check the logs for full command output.
This discussion has been closed.
CyberPanel Discord

Howdy, Stranger!

It looks like you're new here. If you want to get involved, click one of these buttons!